AMULECMD(1)

NAME
amulecmd - Konsolenbasiertes Programm um aMule zu steuern

SYNTAX
amulecmd [-h <Host>] [-p <Port>] [-P <Passwort>] [-f <Pfad>] [-q] [-v] [-l <Sprache>] [-w] [-c <Befehl>]

amulecmd --create-config-from=<Pfad>

amulecmd [--help]

amulecmd [--version]

BESCHREIBUNG
amulecmd ist ein Konsolenbasierter Client um aMule zu steuern.

-h, --host=<Host>
    Host auf dem aMule läuft (standard: localhost). <Host> kann eine IP Adresse oder ein DNS Name sein

-p, --port=<Port>
    aMule's Port für Externe Verbindungen, wie in den Optionen unter->Fernsteuerung (Standard: 4712) eingestellt.

-P, --password=<Passwort>
    Passwort für Externe Verbindungen.

-f, --config-file=<Pfad>
    Benutzt die angegebene Konfigurationsdatei. Die Standardkonfigurationsdatei ist ~/.aMule/remote.conf

-q, --quiet
    Gebe nichts auf stdout aus. Dies scheint eine sehr nutzlose Options in amulecmd.

-v, --verbose
    Sei gesprächig - zeigt auch debugging Meldungen an.

-l, --locale=<Sprache>
    Setzt die Locale (Sprache) des Programms. Siehe Abschnitt SPRACHEN für die Beschreibung des <Sprache> Parameter.

-w, --write-config
    Schreibe die Kommandozeilenoptionen in die Konfigurationsdatei und beende dich wieder.

-c, --command=<Befehl>
    Führe <Befehl> aus, als wäre es auf amulecmd's Eingabeaufforderung eingegeben worden, und beende dich.

--create-config-from=<Pfad>
    Erstelle Konfigurationsdatei basierend auf <Pfad>, welcher auf eine gültige aMule-Konfigurationsdatei verweisen muss, und beende dich.

--help
    Gibt eine kurze Beschreibung aus.

--version
    Zeigt die derzeitige Versionsnummer an.

BEFEHLE
Alle Befehle können groß oder klein geschrieben werden.

  Add <ed2k-Link>
Fügt einen ed2k-Link zur Downloadliste hinzu. Der ed2k-Link darf enthalten:
*) einen Link zu einer Datei (ed2k://|file|...), diese wird den Downloads hinzugefügt,
*) einen Link zu einem Server (ed2k://|server|...), dieser wird der Serverliste hinzugefügt,
*) oder einen Serverlisten-Link, in diesem Fall werden alle Server dieser Liste der Serverliste hinzugefügt. Dieser Befehl muss ein Argument übergeben bekommen.

  Cancel <Hash>
Bricht den mit seinem Hash spezifizierten Download ab. Benutze show um den Hash zu erfahren.

  Connect (kad|ed2k<IP|Name>)
Verbindung zu einem Netzwerk aufbauen. Die Verbindung wird zu allen Netzwerken aufgebaut, die in den Einstellungen aktiviert wurden. Wenn ed2k als Parameter übergeben wird, wird eine Verbindung zu Servern aus der Serverliste aufgebaut. Man kann optional einen Server in der Form IP:Port angeben, um nur zu diesem Server eine Verbindung aufzubauen. Die IP muss entweder eine IPv4-Adresse, oder ein auflösbarer DNS-Name sein. Wenn kad angegeben wird, wird ausschließlich eine kad-Verbindung aufgebaut.

  Disconnect (ed2k|kad)
Trennt die Verbindung zu allen Netzwerken mit denen du verbunden bist, oder nur zu dem, welches angegeben wurde.

  Download Nummer
Startet den Download einer Datei Die Nummer einer Datei aus der letzten Suche muss angegeben werden. Beispiel: 'download 12' startet den Download der Datei, die bei der letzten Suche die Nummer 12 hatte. Dieser Befehl muss ein Argument übergeben bekommen.

  Exit
Verbindung zu amule/amuled trennen und amulecmd beenden.

  Get Wert
Liest eine Option und zeigt sie an. Dieser Befehl ist unvollständig, mögliche Werte sind nachfolgend aufgeführt. Verfügbare Werte:
BwLimits    Bandbreitenbeschränkungen.
IPFilter    IP-Filter Einstellungen.

  Help <Befehl>
Kurze Hilfe anzeigen. Zeigt eine kurze Übersicht der verfügbaren Befehle, wenn ohne Parameter aufgerufen. Wenn mit <Befehl> aufgerufen, wird eine kurze Hilfe zu dem Befehl angezeigt.

  Pause <Hash>
Pausiert den mit seinem Hash spezifizierten Download. Benutze show um den Hash zu erfahren.

  Progress
Zeigt den Fortschritt einer laufenden Suche an. Dieser Befehl kann keine Argumente übernehmen.

  Quit
Beendet das Programm. Dieser Befehl kann keine Argumente übernehmen.

  Reload
Aktualisiert das angegebene Objekt. Dieser Befehl ist unvollständig, mögliche Werte sind nachfolgend aufgeführt. Verfügbare Werte:
BwLimits    Aktualisiert die Bandbreitenbeschränkungen.
IPFilter    Aktualisiert die IP-Filter Einstellungen.

  Reset
Setzt das Log zurück. Dieser Befehl kann keine Argumente übernehmen.

  Results
Zeigt die Resultate der letzten Suche an. Dieser Befehl kann keine Argumente übernehmen.

  Resume <Hash>
Setzt den mit seinem Hash spezifizierten Download fort. Benutze show um den Hash zu erfahren.

  Search global|kad|local Datei
Startet die Suche nach Datei. Die Art der Suche und ein Dateiname sind notwendig. Beispiel 'search kad amule' Sucht nach amule im kad-Netzwerk. Verfügbare Suchtypen:
global    startet eine globale Suche
kad    startet eine Suche im kad-Netzwerk
local    startet eine lokale Suche

  Set <Wert>
Setzt die angegebene Option. Dieser Befehl ist unvollständig, mögliche Werte sind nachfolgend aufgeführt. Verfügbare Werte:
BwLimits    Setzt die Bandbreitenbeschränkung.
IPFilter    Setzt die IP-Filter Einstellungen.

  Show DL|Log|Servers|UL
Zeigt upload/download Warteschlange, Serverliste oder die Liste der freigegebenen Dateien an. Dieser Befehl muss ein Argument übergeben bekommen. Dieser Befehl ist unvollständig, Benutze nur die folgenden Parameter. Verfügbare Parameter:
DL    Zeigt die Downloadwarteschlange an.
Log    Zeigt das Log an.
Servers    Zeigt die Serverliste an.
UL    Zeigt die Uploadwarteschlange an.

  Shutdown
Beendet das Programm (amule/amuled) zu dem du verbunden bist. Dies beendet auch den Textclient, da er ohne Verbindung nicht zu gebrauchen ist. Dieser Befehl kann keine Argumente übernehmen.

  Statistics <Nummer>
Zeigt die Statistiken an. Die optionale Nummer die übergeben werden kann muss im Bereich von 0-255 liegen, und gibt an, wieviele Einträge im Unterpunkt Version angezeigt werden sollen. 0 oder weglassen bedeutet unbegrenzt. Beispiel: 'statistics 5' zeigt die höchsten 5 der einzelnen Clientversionen an.

  Status
Zeigt den Verbindungsstatus, aktuelle Up/Downloadgeschindigkeiten, etc. an.

ANMERKUNGEN

  Pfade
Für alle Optionen die ein <Pfad> Argument erwarten, wenn der Pfad kein Verzeichnis enthält(z.B. nur einen Dateinamen), dann wird angenommen, diese Datei liegt um aMule-Konfigurationsverzeichnis, ~/.aMule.

  SPRACHEN
Der <Sprache> Parameter für die -l Option hat folgende Form: sprache[_SPRACHE][.KODIERUNG][@zusatz] wobei sprache die primäre Sprache, SPRACHE die Regionalsprache, KODIERUNG die Zeichentabelle ist, und zusatz "erlaubt es dem Nutzer eine bestimmte Auswahl innerhalb einer einzigen Kategorie auszuwählen".

Zum Besispiel sind die folgenden Zeichenketten gültig:
de
de_DE
de_DE.iso88591
de_DE@euro
de_DE.iso88591@euro

Alle oben genannten Zeicheketten werden als gültige Sprachdefinitionen akzeptiert, KODIERUNG und zusatz werden zur Zeit nicht genutzt.

Zusätzlich zu den obigen Formaten, kann man komplette englishe Sprachbezeichnungen angeben - -l german ist ebenfalls gültig und entspricht -l de_DE.

Wenn keine Sprache definiert wurde, weder in der Kommandozeile noch in der Konfigurationsdatei, wird die Standardsprache des Systems verwendet.

DATEIEN
~/.aMule/remote.conf

BEISPIEL
Typischerweise startet man amulecmd als erstes mit:

amulecmd -h hostname -p EC-Port -P EC-Passwort -w

oder

amulecmd --create-config-from=/home/Benutzer/.aMule/amule.conf

Dies speichert die Einstellungen in $HOME/.aMule/remote.conf, und tippst du nur noch:

amulecmd

Natürlich brauchst du dich nicht unbedingt an dieses Beispiel halten.

FEHLER MELDEN
Bitte meldet Fehler entweder in unserem Forum (http://forum.amule.org/), oder in unseren Bugtracker (http://bugs.amule.org/). Bitte meldet uns keine Fehler per E-Mail, noch auf unsere Mailingliste oder direkt an unsere Teammitglieder.

COPYRIGHT
aMule und alle seine zugehörigen Anwendungen werden verteilt unter der GNU General Public License

SIEHE AUCH
amule(1), amuleweb(1)